1.1
1.1
get /v1/snapshots
Description
List snapshots and details.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | volume_id optional | Volume ID Example : 3f500f00-ed80-4566-a057-e31760226f9a | any of [string, null] | None |
| query | limit optional | Page size of items Example : 20 | any of [integer, null] | None |
| query | offset optional | Index of where to start in the list Example : 0 | any of [integer, null] | None |
| query | marker optional | The last item’s ID from previous request Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | any of [string, null] | None |
| query | with_count optional | Whether to show count Example : True | any of [boolean, null] | True |
| query | name optional | Snapshot name Example : snapshot-1 | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | SnapshotListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
Example HTTP request
Request path
/v1/snapshots
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"
Example HTTP response
Response 200
{
"count": 100,
"snapshots": [
{
"created_at": "2025-07-22T09:00:00Z",
"description": "description",
"id": "cceed636-1f1e-4bb0-b85c-4e5b9e0bf790",
"metadata": "",
"name": "snapshot-1",
"size": 104,
"status": "available",
"updated_at": "2025-07-26T12:00:00Z",
"user_id": "570907805e5447be84b618450ef52o0t",
"volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}
]
}